[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'gpm' (#rtl)

# Tgpm_event

GPM event record

## Declaration

Source position: gpm.pp line 80

`type Tgpm_event = record`
`buttons: Byte;` |  | Pressed buttons
`modifiers: Byte;` |  | Modifier flags
`vc: Word;` |  | Virtual console
`dx: Word;` |  | Change in horizontal position since last event
`dy: Word;` |  | Change in vertical position since last event
`x: Word;` |  | Horizontal position of event
`y: Word;` |  | Vertical position of event
`EventType: TGpmEtype;` |  | Event type
`clicks: LongInt;` |  | Number of clicks
`margin: TGpmMargin;` |  | Position where mouse cursor left the screen.
`wdx: Word;` |  | Horizontal size
`wdy: Word;` |  | Vertical size
`end;`

## Description

Tgpm_event describes the events that are reported by GPM.

Documentation generated on: Feb 26 2014